org.mozilla.javascript.annotations

## Annotation Type JSSetter

-     @Documented
      @Retention(value=RUNTIME)
      @Target(value=METHOD)
      public @interface JSSetter

  An annotation that marks a Java method as JavaScript setter. This can be used as an alternative to the `jsSet_` prefix desribed in `ScriptableObject.defineClass(org.mozilla.javascript.Scriptable, java.lang.Class)`.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `value`

- - ### Element Detail

    - #### value

          public abstract java.lang.String value

      Default:
        ""